Skip to main content
GET
/
wallet-grants
List wallet grants
curl --request GET \
  --url https://api.alguna.io/wallet-grants \
  --header 'Alguna-Version: <alguna-version>' \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "amount": "<string>",
      "created_at": "2026-04-01T10:00:00Z",
      "id": "wgr_01H1VECT",
      "status": "approved",
      "updated_at": "2026-04-01T12:30:00Z",
      "wallet_id": "wlt_01H2ABC",
      "description": "<string>",
      "expires_at": "2027-03-24T10:00:00Z",
      "invoice_id": "<string>",
      "payment_id": "<string>"
    }
  ],
  "pagination": {
    "per_page": 20,
    "total_pages": 5
  }
}

Documentation Index

Fetch the complete documentation index at: https://alguna.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication. Pass your API key as a Bearer token.

Headers

Alguna-Version
enum<string>
required
Available options:
2026-04-01

Query Parameters

limit
integer<int64>
required

Number of items to return per page

Example:

20

offset
integer<int64>
required

Number of items to skip

Example:

0

status
enum<string>

Filter by grant status

Available options:
pending,
approved,
voided,
expired
Example:

"approved"

wallet_id
string

Filter by wallet ID

Example:

"wlt_abc123"

Response

Success

data
object[]
required

List of wallet grants

pagination
object
required

Pagination metadata